/************************************************************************************
*
* This file is controlled by Virtuoso........
*
************************************************************************************/
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TargetController.Common;
using LocalVisualStudioCTargetController;
using VirtuosoComponentLibrary;

namespace AnalogGaugeOutput_Host
{
    public class BaseShellViewModel
    {
        LocalVisualStudioCTargetHostingConfiguration CTargetHostingConfig;
		public AnalogGaugeOutput_TargetViewModel AnalogGaugeOutput_Target_ViewModel { get; set; }

        public BaseShellViewModel()
        {
			CTargetHostingConfig = new LocalVisualStudioCTargetHostingConfiguration();
			CTargetHostingConfig.TargetName = "AnalogGaugeOutput_Target";
			CTargetHostingConfig.ProjectPath = GetSolutionPath();
			AnalogGaugeOutput_Target_ViewModel = new AnalogGaugeOutput_TargetViewModel(CTargetHostingConfig);
        }
        public LEDTileImage TileImage
        {
            get { return LEDTileImage.Tile1; }
        }
        private string GetSolutionPath()
        {
            DirectoryInfo dirInfo = new DirectoryInfo(AppDomain.CurrentDomain.BaseDirectory);
            return dirInfo.Parent.Parent.Parent.FullName;
        }
        public string HostTitle
        {
            get
            {
                DirectoryInfo dirInfo = new DirectoryInfo(AppDomain.CurrentDomain.BaseDirectory);
                return dirInfo.Parent.Parent.Name;
            }
        }
    }
}
